<?php
require_once ("varables.php");

$myJSON['message'] = "خطای اعتبار سنجی";
$myJSON['mmm'] = array();
if(isset($_POST["sidy"]) && isset($_POST["id"]) && isset($_POST["price"]) && isset($_POST["free"]) && isset($_POST["token"]))
{ 
	$id = $_POST["id"];
	$city = $_POST["sidy"];
	$price = $_POST["price"];
	$free = $_POST["free"];
	$connect = @mysqli_connect($hostname,$username,$password,$database);
	if($connect)
	{
		@mysqli_query($connect,"SET CHARACTER SET utf8;");
		if($id == 0){
			$query = "INSERT INTO tbl_shipping (cityname,price,free) VALUES ('".$city."','".$price."','".$free."')";
			$result=@mysqli_query($connect,$query);
			if(!$result){
				$myJSON['message']="خطا در ثبت\n". @mysqli_error($connect);
			}
			else{
				$myJSON['message']="200";
			}
		}
		else{
			$query = "UPDATE tbl_shipping SET cityname ='".$city."',price = '".$price."',free = '".$free."' WHERE id = '".$id."'";
			$result=@mysqli_query($connect,$query);
			if(!$result){
				$myJSON['message']="خطا در ثبت\n". @mysqli_error($connect);
			}
			else{
				$myJSON['message']="200";
			}
		}
		
	}
	else
		$myJSON['message']="خطا در ارتباط با پایگاه داده";
}
    echo  json_encode($myJSON);
?>
